; ******************************************************************
; FONTS = small font 5 x 8 proportional font for Infocom Interpreter
; ******************************************************************

; assemble with BSA cross-assembler "https://github.com/Edilbert/BSA"

; The character sequence is ASCII (not CBM or PETSCII) !!!

; If you design a new (fixed or proportional) font:
; 1) put the width of the character into the BYTE value
; 2) leave the first row with dots for line spacing
; 3) leave the first column with dots for character spacing
; 4) align the character left on column 2
; 5) define 96 character for ASCII codes ($20 - $7f)
; 6) the chacter code $7f is used as cursor
; 7) make all digits (0..9) of equal width
; 8) assemble with: bsa fonts

; example:

;         .BYTE 5                ; $30 '0'
;         -------1-2-3-4-5-6-7-8------
;         .BITS  . . . . . . . . ; <- line spacing (dots)
;         .BITS  . . * * . . . .
;         .BITS  . * . . * . . .
;         .BITS  . * . * * . . .
;         .BITS  . * * . * . . .
;         .BITS  . * . . * . . .
;         .BITS  . . * * . . . .
;         .BITS  . . . . . . . .
;                ^       ^
;                |       width
;                character spacing (should be dotted)
;         columns 6-8 must be dotted due to width value 5

          .STORE TAB_START,TAB_END-TAB_START,"fonts.fnt"

          * = $D900           ; font storage in interpreter

; *********
  TAB_START
; *********

          .BYTE  4,2,4,6,6,6,6,2  ; $20 ( ) - $27 (')
          .BYTE  4,4,6,6,3,5,2,6  ; $28 (() - $2F (/)
          .BYTE  5,5,5,5,5,5,5,5  ; $30 (0) - $37 (7)
          .BYTE  5,5,2,3,4,5,4,6  ; $38 (8) - $3F (?)
          .BYTE  6,5,5,5,5,5,5,5  ; $40 (@) - $47 (G)
          .BYTE  5,4,5,5,4,6,5,5  ; $48 (H) - $4F (O)
          .BYTE  5,5,5,5,4,5,5,6  ; $50 (P) - $57 (W)
          .BYTE  6,6,5,4,6,4,4,5  ; $58 (X) - $5F (_)
          .BYTE  4,5,5,5,5,5,5,5  ; $60 (`) - $67 (g)
          .BYTE  5,2,4,4,4,6,5,5  ; $68 (h) - $6F (o)
          .BYTE  6,6,5,5,5,5,5,6  ; $70 (p) - $77 (w)
          .BYTE  4,5,5,4,2,4,5,5  ; $78 (x) - $7F ()

;         ----------------------
          .BITS  . . . . . . . . ; $20
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $21 !
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $22
          .BITS  . * . * . . . .
          .BITS  . * . * . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $23 #
          .BITS  . . . . . . . .
          .BITS  . . * . * . . .
          .BITS  . * * * * * . .
          .BITS  . . * . * . . .
          .BITS  . * * * * * . .
          .BITS  . . * . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $24 $
          .BITS  . . . * . . . .
          .BITS  . . * * * * . .
          .BITS  . * . * . . . .
          .BITS  . . * * * . . .
          .BITS  . . . * . * . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $25 %
          .BITS  . . . . . . . .
          .BITS  . * * . . * . .
          .BITS  . * * . * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . * * . .
          .BITS  . * . . * * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $26 &
          .BITS  . . * . . . . .
          .BITS  . * . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . * . * . .
          .BITS  . * . . * . . .
          .BITS  . . * * . * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $27
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $28 (
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $29 )
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $2A *
          .BITS  . * . * . * . .
          .BITS  . . * * * . . .
          .BITS  . . . * . . . .
          .BITS  . . * * * . . .
          .BITS  . * . * . * . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $2B +
          .BITS  . . . . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . * * * * * . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $2C ,
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $2D -
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $2E .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $2F /
          .BITS  . . . . . . . .
          .BITS  . . . . . * . .
          .BITS  . . . . * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $30 0
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . * * . . .
          .BITS  . * * . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $31 1
          .BITS  . . . * . . . .
          .BITS  . . * * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $32 2
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . . . . * . . .
          .BITS  . . * * . . . .
          .BITS  . * . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $33 3
          .BITS  . * * * * . . .
          .BITS  . . . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $34 4
          .BITS  . . . * . . . .
          .BITS  . . * * . . . .
          .BITS  . * . * . . . .
          .BITS  . * * * * . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $35 5
          .BITS  . * * * * . . .
          .BITS  . * . . . . . .
          .BITS  . * * * . . . .
          .BITS  . . . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $36 6
          .BITS  . . * * * . . .
          .BITS  . * . . . . . .
          .BITS  . * * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $37 7
          .BITS  . * * * * . . .
          .BITS  . . . . * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $38 8
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $39 9
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . . * * * . . .
          .BITS  . . . . * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $3A :
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $3B ;
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $3C <
          .BITS  . . . . . . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $3D =
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $3E >
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $3F ?
          .BITS  . . * * * . . .
          .BITS  . * . . . * . .
          .BITS  . . . . * . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $40 @
          .BITS  . . * * * . . .
          .BITS  . * . . . * . .
          .BITS  . * . * . * . .
          .BITS  . * . * * . . .
          .BITS  . * . . . . . .
          .BITS  . . * * * * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $41 A
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * * * * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $42 B
          .BITS  . * * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $43 C
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $44 D
          .BITS  . * * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $45 E
          .BITS  . * * * * . . .
          .BITS  . * . . . . . .
          .BITS  . * * * . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $46 F
          .BITS  . * * * * . . .
          .BITS  . * . . . . . .
          .BITS  . * * * . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $47 G
          .BITS  . . * * * . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . * * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $48 H
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * * * * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $49 I
          .BITS  . * * * . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $4A J
          .BITS  . . . . * . . .
          .BITS  . . . . * . . .
          .BITS  . . . . * . . .
          .BITS  . . . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $4B K
          .BITS  . * . . * . . .
          .BITS  . * . * . . . .
          .BITS  . * * . . . . .
          .BITS  . * . * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $4C L
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $4D M
          .BITS  . * . . . * . .
          .BITS  . * * . * * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . * . . . * . .
          .BITS  . * . . . * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $4E N
          .BITS  . * . . * . . .
          .BITS  . * * . * . . .
          .BITS  . * * . * . . .
          .BITS  . * . * * . . .
          .BITS  . * . * * . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $4F O
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $50 P
          .BITS  . * * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * * * . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $51 Q
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * * . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . * . . .
;         ----------------------
          .BITS  . . . . . . . . ; $52 R
          .BITS  . * * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * * * . . . .
          .BITS  . * * . . . . .
          .BITS  . * . * . . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $53 S
          .BITS  . . * * . . . .
          .BITS  . * . . . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $54 T
          .BITS  . * * * . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $55 U
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $56 V
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $57 W
          .BITS  . * . . . * . .
          .BITS  . * . . . * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . * * . * * . .
          .BITS  . * . . . * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $58 X
          .BITS  . * . . . * . .
          .BITS  . . * . * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . * . . .
          .BITS  . * . . . * . .
          .BITS  . * . . . * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $59 Y
          .BITS  . * . . . * . .
          .BITS  . * . . . * . .
          .BITS  . . * . * . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $5A Z
          .BITS  . * * * * . . .
          .BITS  . . . . * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $5B [
          .BITS  . * * * . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $5C \
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . * . . .
          .BITS  . . . . . * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $5D ]
          .BITS  . * * * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $5E ^
          .BITS  . . * . . . . .
          .BITS  . * . * . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $5F _
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * * * * . . .
;         ----------------------
          .BITS  . . . . . . . . ; $60 `
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $61 a
          .BITS  . . . . . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . * . . .
          .BITS  . . * * * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $62 b
          .BITS  . * . . . . . .
          .BITS  . * . * . . . .
          .BITS  . * * . * . . .
          .BITS  . * . . * . . .
          .BITS  . * * . * . . .
          .BITS  . * . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $63 c
          .BITS  . . . . . . . .
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . . . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $64 d
          .BITS  . . . . * . . .
          .BITS  . . * . * . . .
          .BITS  . * . * * . . .
          .BITS  . * . . * . . .
          .BITS  . * . * * . . .
          .BITS  . . * . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $65 e
          .BITS  . . . . . . . .
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * * * * . . .
          .BITS  . * . . . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $66 f
          .BITS  . . . * . . . .
          .BITS  . . * . * . . .
          .BITS  . . * . . . . .
          .BITS  . * * * . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $67 g
          .BITS  . . . . . . . .
          .BITS  . . * . * . . .
          .BITS  . * . * * . . .
          .BITS  . * . * * . . .
          .BITS  . . * . * . . .
          .BITS  . . . . * . . .
          .BITS  . . * * . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $68 h
          .BITS  . * . . . . . .
          .BITS  . * . * . . . .
          .BITS  . * * . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $69 i
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $6A j
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
          .BITS  . . * * . . . .
          .BITS  . . . * . . . .
          .BITS  . . . * . . . .
          .BITS  . * . * . . . .
          .BITS  . . * . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $6B k
          .BITS  . * . . . . . .
          .BITS  . * . * . . . .
          .BITS  . * . * . . . .
          .BITS  . * * . . . . .
          .BITS  . * . * . . . .
          .BITS  . * . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $6C l
          .BITS  . * * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $6D m
          .BITS  . . . . . . . .
          .BITS  . * * . * * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $6E n
          .BITS  . . . . . . . .
          .BITS  . * . * . . . .
          .BITS  . * * . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $6F o
          .BITS  . . . . . . . .
          .BITS  . . * * . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $70 p
          .BITS  . . . . . . . .
          .BITS  . * . * * . . .
          .BITS  . * * . . * . .
          .BITS  . * * . . * . .
          .BITS  . * . * * . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $71 q
          .BITS  . . . . . . . .
          .BITS  . . * * . * . .
          .BITS  . * . . * * . .
          .BITS  . * . . * * . .
          .BITS  . . * * . * . .
          .BITS  . . . . . * . .
          .BITS  . . . . . * . .
;         ----------------------
          .BITS  . . . . . . . . ; $72 r
          .BITS  . . . . . . . .
          .BITS  . * . * . . . .
          .BITS  . * * . * . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $73 s
          .BITS  . . . . . . . .
          .BITS  . . * * * . . .
          .BITS  . * . . . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . * . . .
          .BITS  . * * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $74 t
          .BITS  . . * . . . . .
          .BITS  . * * * . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * . * . . .
          .BITS  . . . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $75 u
          .BITS  . . . . . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . * * . . .
          .BITS  . . * . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $76 v
          .BITS  . . . . . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . . * * . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $77 w
          .BITS  . . . . . . . .
          .BITS  . * . . . * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . * . * . * . .
          .BITS  . . * . * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $78 x
          .BITS  . . . . . . . .
          .BITS  . * . * . . . .
          .BITS  . * . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . * . . . .
          .BITS  . * . * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $79 y
          .BITS  . . . . . . . .
          .BITS  . * . . * . . .
          .BITS  . * . . * . . .
          .BITS  . * . * * . . .
          .BITS  . . * . * . . .
          .BITS  . . . . * . . .
          .BITS  . . * * . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $7A z
          .BITS  . . . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . * * * * . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $7B {
          .BITS  . . . . . . . .
          .BITS  . . * * . . . .
          .BITS  . . * . . . . .
          .BITS  . * . . . . . .
          .BITS  . . * . . . . .
          .BITS  . . * * . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $7C |
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . * . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $7D }
          .BITS  . . . . . . . .
          .BITS  . * * . . . . .
          .BITS  . . * . . . . .
          .BITS  . . . * . . . .
          .BITS  . . * . . . . .
          .BITS  . * * . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $7E ~
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
          .BITS  . . * . * . . .
          .BITS  . * . * . . . .
          .BITS  . . . . . . . .
          .BITS  . . . . . . . .
;         ----------------------
          .BITS  . . . . . . . . ; $7F 
          .BITS  . * * * * . . .
          .BITS  . * * * * . . .
          .BITS  . * * * * . . .
          .BITS  . * * * * . . .
          .BITS  . * * * * . . .
          .BITS  . * * * * . . .
          .BITS  . * * * * . . .
;         ----------------------

; *******
  TAB_END
; *******

